summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2015-03-12 21:57:10 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-12 21:57:10 +0700
commit0f7e9ca061ea77e4671b84e74c65ae3f2e10daba (patch)
tree54ff507427087901dfe173c532163b16e10eeac9 /system
parent924447e06e93f242aa1f8e2e49530033257c2d92 (diff)
downloadslackbuilds-0f7e9ca061ea77e4671b84e74c65ae3f2e10daba.tar.gz
slackbuilds-0f7e9ca061ea77e4671b84e74c65ae3f2e10daba.tar.xz
system/jmtpfs: Added (FUSE and libmtp based filesystem).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/jmtpfs/README10
-rw-r--r--system/jmtpfs/jmtpfs.SlackBuild91
-rw-r--r--system/jmtpfs/jmtpfs.info10
-rw-r--r--system/jmtpfs/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/system/jmtpfs/README b/system/jmtpfs/README
new file mode 100644
index 0000000000..d43b1a7ac3
--- /dev/null
+++ b/system/jmtpfs/README
@@ -0,0 +1,10 @@
+jmtpfs is a FUSE and libmtp based filesystem for accessing MTP
+(Media Transfer Protocol) devices. It was specifically designed
+for exchaning files between Linux (and Mac OS X) systems and
+newer Android devices that support MTP but not USB Mass Storage.
+
+The goal is to create a well behaved filesystem, allowing tools
+like find and rsync to work as expected. MTP file types are set
+automatically based on file type detection using libmagic.
+Setting the file appears to be necessary for some Android apps,
+like Gallery, to be able to find and use the files.
diff --git a/system/jmtpfs/jmtpfs.SlackBuild b/system/jmtpfs/jmtpfs.SlackBuild
new file mode 100644
index 0000000000..951f38b0d3
--- /dev/null
+++ b/system/jmtpfs/jmtpfs.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for jmtpfs
+
+# Copyright 2015 Andre Barboza, Belo Horizonte, Minas Gerais, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=jmtpfs
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/v${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CXXFLAGS="$SLKCFLAGS -lpthread" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/jmtpfs/jmtpfs.info b/system/jmtpfs/jmtpfs.info
new file mode 100644
index 0000000000..897c93dc9f
--- /dev/null
+++ b/system/jmtpfs/jmtpfs.info
@@ -0,0 +1,10 @@
+PRGNAM="jmtpfs"
+VERSION="0.5"
+HOMEPAGE="https://github.com/JasonFerrara/jmtpfs"
+DOWNLOAD="https://github.com/JasonFerrara/jmtpfs/archive/v0.5.tar.gz"
+MD5SUM="501e51530d3c04d63e9ac96d794bf5c5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
diff --git a/system/jmtpfs/slack-desc b/system/jmtpfs/slack-desc
new file mode 100644
index 0000000000..e92b55fbd0
--- /dev/null
+++ b/system/jmtpfs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jmtpfs: jmtpfs (FUSE and libmtp based filesystem for accessing MTP)
+jmtpfs:
+jmtpfs: jmtpfs is a FUSE and libmtp based filesystem for accessing MTP
+jmtpfs: (Media Transfer Protocol) devices. It was specifically designed
+jmtpfs: for exchaning files between Linux (and Mac OS X) systems and
+jmtpfs: newer Android devices that support MTP but not USB Mass
+jmtpfs: Storage.
+jmtpfs:
+jmtpfs:
+jmtpfs:
+jmtpfs: https://github.com/JasonFerrara/jmtpfs